Package org.eclipse.graphiti.features.impl

# Interface IIndependenceSolver

public interface IIndependenceSolver
The Interface IIndependenceSolver.

## Method Summary

Modifier and Type
Method
Description
`Object`
`getBusinessObjectForKey(String key)`
Provides the business object for the given key.
`String`
`getKeyForBusinessObject(Object bo)`
Provides the unique key for the given business object.

## Method Details

### getKeyForBusinessObject

String getKeyForBusinessObject(Object bo)
Provides the unique key for the given business object.

Parameters:
  `bo` - the given business object
Returns:
  unique key

### getBusinessObjectForKey

Object getBusinessObjectForKey(String key)
Provides the business object for the given key.

Parameters:
  `key` - the unique key
Returns:
  the business object